[postgis] Problem with MapServer/PostGis Compilation

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

[postgis] Problem with MapServer/PostGis Compilation

shpr@libero.it
Hi,

I installed Postgresql 7.1.3, PostGis 0.6.2 and now I have compiled
(CVS)MapServer with --with-postgis option but the system has showed
me the
following error (and warnigs):

cmaplexer.c:3112: warning: `yyunput' defined but not used
mapprimitive.c:771: warning: `get_centroid' defined but not used
mapresample.c:419: warning: `msInitApproxTransformer' defined but not
used
mapresample.c:436: warning: `msFreeApproxTransformer' defined but not
used
mapresample.c:447: warning: `msApproxTransformer' defined but not used
mapresample.c:551: warning: `msTransformMapToSource' defined but not
used
mapprojhack.c:71: warning: `ConvertProjUnitStringToMS' defined but
not used
/usr/lib/libpq.a(fe-connect.o): In function `connectDBStart':
fe-connect.o(.text+0xa62): undefined reference to
`SSL_load_error_strings'
fe-connect.o(.text+0xa67): undefined reference to `SSL_library_init'
fe-connect.o(.text+0xa6f): undefined reference to `SSLv23_method'
fe-connect.o(.text+0xa77): undefined reference to `SSL_CTX_new'
fe-connect.o(.text+0xa8c): undefined reference to `ERR_get_error'
fe-connect.o(.text+0xa94): undefined reference to
`ERR_reason_error_string'
fe-connect.o(.text+0xab2): undefined reference to `SSL_new'
fe-connect.o(.text+0xad5): undefined reference to `SSL_set_fd'
fe-connect.o(.text+0xaee): undefined reference to `SSL_connect'
fe-connect.o(.text+0xafd): undefined reference to `ERR_get_error'
fe-connect.o(.text+0xb05): undefined reference to
`ERR_reason_error_string'
/usr/lib/libpq.a(fe-connect.o): In function `freePGconn':
fe-connect.o(.text+0x1686): undefined reference to `SSL_free'
/usr/lib/libpq.a(fe-misc.o): In function `pqReadData':
fe-misc.o(.text+0x883): undefined reference to `SSL_read'
fe-misc.o(.text+0x99e): undefined reference to `SSL_read'
/usr/lib/libpq.a(fe-misc.o): In function `pqFlush':
fe-misc.o(.text+0xb1f): undefined reference to `SSL_write'
/usr/lib/libpq.a(fe-auth.o): In function `pg_krb5_init':
fe-auth.o(.text+0x7c): undefined reference to `krb5_init_context'
fe-auth.o(.text+0x8c): undefined reference to `error_message'
fe-auth.o(.text+0xc2): undefined reference to `krb5_cc_default'
fe-auth.o(.text+0xd2): undefined reference to `error_message'
fe-auth.o(.text+0x13e): undefined reference to `error_message'
fe-auth.o(.text+0x1a9): undefined reference to `krb5_unparse_name'
fe-auth.o(.text+0x1b9): undefined reference to `error_message'
fe-auth.o(.text+0x1e4): undefined reference to `krb5_free_principal'
fe-auth.o(.text+0x211): undefined reference to `krb5_free_context'
/usr/lib/libpq.a(fe-auth.o): In function `pg_krb5_sendauth':
fe-auth.o(.text+0x2e7): undefined reference to
`krb5_sname_to_principal'
fe-auth.o(.text+0x2f7): undefined reference to `error_message'
fe-auth.o(.text+0x38a): undefined reference to `krb5_free_principal'
fe-auth.o(.text+0x3d2): undefined reference to `krb5_sendauth'
fe-auth.o(.text+0x415): undefined reference to `error_message'
fe-auth.o(.text+0x448): undefined reference to `krb5_free_error'
fe-auth.o(.text+0x463): undefined reference to `krb5_free_principal'
/usr/lib/libpq.a(fe-auth.o): In function `pg_password_sendauth':
fe-auth.o(.text+0x4ec): undefined reference to `crypt'
collect2: ld returned 1 exit status
make: *** [shp2img] Error 1

Why? In a very old newsgroup message (1998) I read about a
NEED_CRYPT=-lcrypt option that unable the 'crypt errors', but, now,
in the
Makefile I doesn't find nothing about this.

Thaks in advance.

Stefano



---
Outgoing mail is certified Virus Free.
Checked by AVG anti-virus system (http://www.grisoft.com).
Version: 6.0.306 / Virus Database: 166 - Release Date: 04/12/01



------------------------ Yahoo! Groups Sponsor ---------------------~-->
Tiny Wireless Camera under $80!
Order Now! FREE VCR Commander!
Click Here - Only 1 Day Left!
http://us.click.yahoo.com/75YKVC/7.PDAA/ySSFAA/PhFolB/TM
---------------------------------------------------------------------~->

To unsubscribe from this group, send an email to:
[hidden email]

 

Your use of Yahoo! Groups is subject to http://docs.yahoo.com/info/terms/ 



Reply | Threaded
Open this post in threaded view
|

Re: [postgis] Problem with MapServer/PostGis Compilation

Paul Ramsey-2
It looks like you have two conflicting versions of pgsql. Make sure the
version you compiled and installed is the only version on your system.
You might have postgresql RPMS installed from your default OS install.

shaphiro2000 wrote:

>
> Hi,
>
> I installed Postgresql 7.1.3, PostGis 0.6.2 and now I have compiled
> (CVS)MapServer with --with-postgis option but the system has showed
> me the
> following error (and warnigs):
>
> cmaplexer.c:3112: warning: `yyunput' defined but not used
> mapprimitive.c:771: warning: `get_centroid' defined but not used
> mapresample.c:419: warning: `msInitApproxTransformer' defined but not
> used
> mapresample.c:436: warning: `msFreeApproxTransformer' defined but not
> used
> mapresample.c:447: warning: `msApproxTransformer' defined but not used
> mapresample.c:551: warning: `msTransformMapToSource' defined but not
> used
> mapprojhack.c:71: warning: `ConvertProjUnitStringToMS' defined but
> not used
> /usr/lib/libpq.a(fe-connect.o): In function `connectDBStart':
> fe-connect.o(.text+0xa62): undefined reference to
> `SSL_load_error_strings'
> fe-connect.o(.text+0xa67): undefined reference to `SSL_library_init'
> fe-connect.o(.text+0xa6f): undefined reference to `SSLv23_method'
> fe-connect.o(.text+0xa77): undefined reference to `SSL_CTX_new'
> fe-connect.o(.text+0xa8c): undefined reference to `ERR_get_error'
> fe-connect.o(.text+0xa94): undefined reference to
> `ERR_reason_error_string'
> fe-connect.o(.text+0xab2): undefined reference to `SSL_new'
> fe-connect.o(.text+0xad5): undefined reference to `SSL_set_fd'
> fe-connect.o(.text+0xaee): undefined reference to `SSL_connect'
> fe-connect.o(.text+0xafd): undefined reference to `ERR_get_error'
> fe-connect.o(.text+0xb05): undefined reference to
> `ERR_reason_error_string'
> /usr/lib/libpq.a(fe-connect.o): In function `freePGconn':
> fe-connect.o(.text+0x1686): undefined reference to `SSL_free'
> /usr/lib/libpq.a(fe-misc.o): In function `pqReadData':
> fe-misc.o(.text+0x883): undefined reference to `SSL_read'
> fe-misc.o(.text+0x99e): undefined reference to `SSL_read'
> /usr/lib/libpq.a(fe-misc.o): In function `pqFlush':
> fe-misc.o(.text+0xb1f): undefined reference to `SSL_write'
> /usr/lib/libpq.a(fe-auth.o): In function `pg_krb5_init':
> fe-auth.o(.text+0x7c): undefined reference to `krb5_init_context'
> fe-auth.o(.text+0x8c): undefined reference to `error_message'
> fe-auth.o(.text+0xc2): undefined reference to `krb5_cc_default'
> fe-auth.o(.text+0xd2): undefined reference to `error_message'
> fe-auth.o(.text+0x13e): undefined reference to `error_message'
> fe-auth.o(.text+0x1a9): undefined reference to `krb5_unparse_name'
> fe-auth.o(.text+0x1b9): undefined reference to `error_message'
> fe-auth.o(.text+0x1e4): undefined reference to `krb5_free_principal'
> fe-auth.o(.text+0x211): undefined reference to `krb5_free_context'
> /usr/lib/libpq.a(fe-auth.o): In function `pg_krb5_sendauth':
> fe-auth.o(.text+0x2e7): undefined reference to
> `krb5_sname_to_principal'
> fe-auth.o(.text+0x2f7): undefined reference to `error_message'
> fe-auth.o(.text+0x38a): undefined reference to `krb5_free_principal'
> fe-auth.o(.text+0x3d2): undefined reference to `krb5_sendauth'
> fe-auth.o(.text+0x415): undefined reference to `error_message'
> fe-auth.o(.text+0x448): undefined reference to `krb5_free_error'
> fe-auth.o(.text+0x463): undefined reference to `krb5_free_principal'
> /usr/lib/libpq.a(fe-auth.o): In function `pg_password_sendauth':
> fe-auth.o(.text+0x4ec): undefined reference to `crypt'
> collect2: ld returned 1 exit status
> make: *** [shp2img] Error 1
>
> Why? In a very old newsgroup message (1998) I read about a
> NEED_CRYPT=-lcrypt option that unable the 'crypt errors', but, now,
> in the
> Makefile I doesn't find nothing about this.
>
> Thaks in advance.
>
> Stefano
>
> ---
> Outgoing mail is certified Virus Free.
> Checked by AVG anti-virus system (http://www.grisoft.com).
> Version: 6.0.306 / Virus Database: 166 - Release Date: 04/12/01
>
>
> To unsubscribe from this group, send an email to:
> [hidden email]
>
>
>
> Your use of Yahoo! Groups is subject to http://docs.yahoo.com/info/terms/

--
      __
     /
     | Paul Ramsey
     | Refractions Research
     | Email: [hidden email]
     | Phone: (250) 885-0632
     \_

------------------------ Yahoo! Groups Sponsor ---------------------~-->
Stop Smoking Now
Nicotrol will help
http://us.click.yahoo.com/2vN8tD/_pSDAA/ySSFAA/PhFolB/TM
---------------------------------------------------------------------~->

To unsubscribe from this group, send an email to:
[hidden email]

 

Your use of Yahoo! Groups is subject to http://docs.yahoo.com/info/terms/